package com.persagy.modules.tool.controller.test.vo;

import com.persagy.framework.common.pojo.PageParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

import static com.persagy.framework.common.util.date.DateUtils.DATE_TIME_FORMAT_SHOW;

@ApiModel("字典类型分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ToolTestDemoPageReqVO extends PageParam {

    @ApiModelProperty(value = "名字", example = "BDTP")
    private String name;

    @ApiModelProperty(value = "状态", example = "1")
    private Integer status;

    @ApiModelProperty(value = "类型", example = "2")
    private Integer type;

    @ApiModelProperty(value = "分类", example = "3")
    private Integer category;

    @ApiModelProperty(value = "备注", example = "我是备注")
    private String remark;

    @DateTimeFormat(pattern = DATE_TIME_FORMAT_SHOW)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = DATE_TIME_FORMAT_SHOW)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

}
