package com.persagy.framework.apilog.core.service;

import com.persagy.framework.apilog.core.service.dto.ApiAccessLogCreateDTO;
import com.persagy.framework.apilog.core.service.dto.ApiErrorLogCreateDTO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.scheduling.annotation.Async;
import org.springframework.scheduling.annotation.AsyncResult;
import org.springframework.stereotype.Service;
import org.springframework.validation.annotation.Validated;

import java.util.concurrent.Future;

/**
 * API 访问日志 Service 实现类
 *
 * @author
 */
@Service
@Validated
@Slf4j
public class ApiLogServiceImpl implements ApiAccessLogFrameworkService, ApiErrorLogFrameworkService {

    @Async
    @Override
    public Future<Boolean> createApiAccessLogAsync(ApiAccessLogCreateDTO createDTO) {
        log.info("访问日志：{}", createDTO);
        return new AsyncResult<>(true);
    }

    @Override
    public Future<Boolean> createApiErrorLogAsync(ApiErrorLogCreateDTO createDTO) {
        log.error("错误日志：{}", createDTO);
        return new AsyncResult<>(true);
    }
}
